declare type FetchImpl = typeof import('node-fetch').default | typeof window.fetch;
export declare type ErrstackReporterOptions = {
    app: string;
    baseUrl?: string;
    deviceId?: string;
    fetch?: FetchImpl;
};
interface ErrorLike {
    message: string;
    stack?: string;
}
export interface ErrorReporter {
    submit(info: {
        error: ErrorLike;
        reportId?: string;
        additionalData: any;
    }): Promise<{
        id: string;
    } | null>;
}
export declare function createReporter(options: ErrstackReporterOptions): ErrorReporter;
export {};
